#include "Record.h"
#include <iostream>
#include <stdio.h>

using namespace std;

Record::Record(const char *n, const char *c){
    nome = new char[strlen(n) + 1];
    cognome = new char[strlen(c) + 1];
    strcpy(nome, n);
    strcpy(cognome, c);
}

Record::Record(const Record &r){
    nome = new char[strlen(r.nome) + 1];
    cognome = new char[strlen(r.cognome) + 1];
    strcpy(nome, r.nome);
    strcpy(cognome, r.cognome);
}

Record Record::operator=(Record r){
    delete nome; delete cognome;
    nome = new char[strlen(r.nome) + 1];
    cognome = new char[strlen(r.cognome) + 1];
    strcpy(nome, r.nome);
    strcpy(cognome, r.cognome);
    return *this;
}


Record::~Record(){
    delete nome; 
    delete cognome;
}


Record::Record(){
    nome = new char('\0');
    cognome = new char('\0');
}

void Record::stampa(){
    cout << "Nome: " << nome << ", Cognome: " << cognome << endl;
}

void Record::setNome(const char *n){
    delete nome;
    nome = new char[strlen(n) + 1];
    strcpy(nome, n);
}

void Record::setCognome(const char *c){
    delete cognome;
    cognome = new char[strlen(c) + 1];
    strcpy(cognome, c);
}

