// 
// File:   main.cc
// Author: root
//
// Created on 8 febbraio 2008, 18.13
//

#include <stdlib.h>
#include "Vector.h"
#include "Record.h"
#include <iostream>

using namespace std;

//
// 
//
int main(int argc, char** argv) {
    Vettore v1, v2, v3;
    // Creiamo due vettori di prova, con n elementi casuali;
    char appNome[100];
    char appCognome[100];
    for(int i = 0; i < 15; i++){
        sprintf(appNome, "Nome-%d", i);
        sprintf(appCognome, "Cognome-%d", i);
        Record c(appNome, appCognome);
        // Viene usato il costruttore di copia del tipo Complesso
        v1.add(c);
    }
    for(int i = 0; i < 5; i++){
        sprintf(appNome, "Nome-%d", i);
        sprintf(appCognome, "Cognome-%d", i);
        Record c(appNome, appCognome);
        v2.add(c);
    }
    
    cout << "v1" << endl;
    v1.stampa();
    cout << "v2" << endl;
    v2.stampa();
    // Viene in invocato innanzitutto il costruttore di copia di vettore,
    // che passa a operator+ una copia di v2. Il risultato è un nuovo vettore
    // diverso sia da v1 che da v2 (vedi vettore app nell'operatore stesso) in 
    // modo da lasciare v1 e v2 inalterati. Questo nuovo vettore viene passato
    // per copia (ulteriore) alla funzione operator= che provvede a ripulire
    // v3 (in genere contiene oggetti preallocati, come già detto) e a riversare
    // al suo intero il nuovo vettore.
    // 
    v3 = v1 + v2;
    cout << "v3" << endl;
    v3.stampa();
    
  
    return (EXIT_SUCCESS);
}

